package model;

import java.awt.event.FocusEvent;
import java.awt.event.FocusListener;

import javax.swing.JTextField;

/**
 * @author Mickal Martin Nevot
 * 
 * @version 1.2.0
 */
public class TextFieldFocusListener implements FocusListener {
	
	protected static String DFL_TEXT = "";
	
	protected JTextField jTextField;
	protected String dflText;
	
	public TextFieldFocusListener(JTextField jTextField) {
		this.jTextField = jTextField;
		this.dflText = DFL_TEXT;
	}
	
	public TextFieldFocusListener(JTextField textField, String dflText) {
		this.jTextField = textField;
		this.dflText = dflText;
	}
	
	public void focusGained(FocusEvent e) {
		if (jTextField.getText().equals(this.dflText)) {
			jTextField.setText("");
		}
    }
	
    public void focusLost(FocusEvent e) {
    	if (jTextField.getText().equals("")) {
			jTextField.setText(this.dflText);
		}
    }
}